org.apache.lucene.replicator

## Class RevisionFile

- java.lang.Object
- - org.apache.lucene.replicator.RevisionFile

    public class RevisionFile
    extends Object

Describes a file in a `Revision`. A file has a source, which allows a single revision to contain files from multiple sources (e.g. multiple indexes).

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

Fields
`String` `fileName` The name of the file.
`long` `size` The size of the file denoted by `fileName`.

### Constructor Summary

Constructors
Constructor and Description
`RevisionFile(String fileName)` Constructor with the given file name.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### fileName

    public final String fileName

The name of the file.

#### size

    public long size

The size of the file denoted by `fileName`.

### Constructor Detail

#### RevisionFile

    public RevisionFile(String fileName)

Constructor with the given file name.

### Method Detail

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`